<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.elemento.home.title">Elementos</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-elemento" [routerLink]="['/elemento/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.elemento.home.createLabel">
            Create a new Elemento
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="elementos?.length === 0">
        <span jhiTranslate="shoppingonlineApp.elemento.home.notFound">No elementos found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="elementos && elementos.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.elemento.tipologia">Tipologia</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.elemento.prezzo">Prezzo</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.elemento.descrizione">Descrizione</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.elemento.configurazione">Configurazione</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.elemento.catalogo">Catalogo</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let elemento of elementos ;trackBy: trackId">
                    <td><a [routerLink]="['/elemento', elemento.id, 'view']">{{ elemento.id }}</a></td>
                    <td>{{ elemento.tipologia }}</td>
                    <td>{{ elemento.prezzo }}</td>
                    <td>{{ elemento.descrizione }}</td>
                    <td>
                        <div *ngIf="elemento.configurazione">
                            <a [routerLink]="['/configurazione', elemento.configurazione?.id, 'view']" >{{ elemento.configurazione?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="elemento.catalogo">
                            <a [routerLink]="['/catalogo', elemento.catalogo?.id, 'view']" >{{ elemento.catalogo?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/elemento', elemento.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/elemento', elemento.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(elemento)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
